Package com.independentsoft.office.word.math

# Class MathRun

java.lang.Object
com.independentsoft.office.word.math.MathRun

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class MathRun extends Object implements IMathMathElement
The Class MathRun.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MathRun()`
  Instantiates a new math run.
  `MathRun​(InternalXMLStreamReader reader)`
  Instantiates a new math run.
  `MathRun​(String text)`
  Instantiates a new math run.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CommentReference commentReference)`
  Adds the.
  `void`
  `add​(DeletedText deletedText)`
  Adds the.
  `void`
  `add​(EndnoteReference endnoteReference)`
  Adds the.
  `void`
  `add​(FootnoteReference footnoteReference)`
  Adds the.
  `void`
  `add​(IRunContent contentElement)`
  Adds the.
  `void`
  `addAbsolutePositionTab()`
  Adds the absolute position tab.
  `void`
  `addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment)`
  Adds the absolute position tab.
  `void`
  `addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo)`
  Adds the absolute position tab.
  `void`
  `addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo, AbsolutePositionTabLeader leader)`
  Adds the absolute position tab.
  `void`
  `addAnnotationReference()`
  Adds the annotation reference.
  `void`
  `addBreak()`
  Adds the break.
  `void`
  `addBreak​(BreakClear clear)`
  Adds the break.
  `void`
  `addBreak​(BreakType type)`
  Adds the break.
  `void`
  `addBreak​(BreakType type, BreakClear clear)`
  Adds the break.
  `void`
  `addCarriageReturn()`
  Adds the carriage return.
  `void`
  `addContinuationSeparator()`
  Adds the continuation separator.
  `void`
  `addDeletedText​(String text)`
  Adds the deleted text.
  `void`
  `addEndnoteReferenceMark()`
  Adds the endnote reference mark.
  `void`
  `addFootnoteEndnoteSeparator()`
  Adds the footnote endnote separator.
  `void`
  `addFootnoteReferenceMark()`
  Adds the footnote reference mark.
  `void`
  `addLastRenderedPageBreak()`
  Adds the last rendered page break.
  `void`
  `addMathText​(MathText text)`
  Adds the math text.
  `void`
  `addMathText​(String text)`
  Adds the math text.
  `void`
  `addMathText​(String text, boolean preserveSpace)`
  Adds the math text.
  `void`
  `addNonBreakingHyphen()`
  Adds the non breaking hyphen.
  `void`
  `addPageNumberBlock()`
  Adds the page number block.
  `void`
  `addSoftHyphen()`
  Adds the soft hyphen.
  `void`
  `addSymbol​(String character, String font)`
  Adds the symbol.
  `void`
  `addTab()`
  Adds the tab.
  `void`
  `addTab​(int position)`
  Adds the tab.
  `void`
  `addTab​(int position, TabType type)`
  Adds the tab.
  `void`
  `addTab​(int position, TabType type, TabLeaderCharacter leader)`
  Adds the tab.
  `void`
  `addText​(String text)`
  Adds the text.
  `void`
  `addText​(String text, boolean preserveSpace)`
  Adds the text.
  `MathRun`
  `clone()`
  `ExtendedBoolean`
  `getBold()`
  Gets the bold.
  `Border`
  `getBorder()`
  Gets the border.
  `ExtendedBoolean`
  `getCapitalLetters()`
  Gets the capital letters.
  `RunContentColor`
  `getColor()`
  Gets the color.
  `ExtendedBoolean`
  `getComplexScriptBold()`
  Gets the complex script bold.
  `int`
  `getComplexScriptFontSize()`
  Gets the complex script font size.
  `ExtendedBoolean`
  `getComplexScriptItalic()`
  Gets the complex script italic.
  `List<IRunContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getDeletionRevisionID()`
  Gets the deletion revision id.
  `ExtendedBoolean`
  `getDoubleStrikethrough()`
  Gets the double strikethrough.
  `EastAsianLayout`
  `getEastAsianLayout()`
  Gets the east asian layout.
  `ExtendedBoolean`
  `getEmboss()`
  Gets the emboss.
  `EmphasisMarkType`
  `getEmphasisMark()`
  Gets the emphasis mark.
  `int`
  `getFontKern()`
  Gets the font kern.
  `RunFonts`
  `getFonts()`
  Gets the fonts.
  `int`
  `getFontSize()`
  Gets the font size.
  `ExtendedBoolean`
  `getHiddenParagraphMark()`
  Gets the hidden paragraph mark.
  `ExtendedBoolean`
  `getHiddenText()`
  Gets the hidden text.
  `HighlightColor`
  `getHighlightColor()`
  Gets the highlight color.
  `ExtendedBoolean`
  `getImprint()`
  Gets the imprint.
  `ExtendedBoolean`
  `getItalic()`
  Gets the italic.
  `Language`
  `getLanguage()`
  Gets the language.
  `ManualRunWidth`
  `getManualWidth()`
  Gets the manual width.
  `ExtendedBoolean`
  `getMath()`
  Gets the math.
  `ExtendedBoolean`
  `getNoProof()`
  Gets the no proof.
  `ExtendedBoolean`
  `getOutline()`
  Gets the outline.
  `int`
  `getPosition()`
  Gets the position.
  `String`
  `getPropertiesRevisionID()`
  Gets the properties revision id.
  `RunPropertiesRevision`
  `getRevision()`
  Gets the revision.
  `String`
  `getRevisionID()`
  Gets the revision id.
  `ExtendedBoolean`
  `getRightToLeft()`
  Gets the right to left.
  `Shading`
  `getShading()`
  Gets the shading.
  `ExtendedBoolean`
  `getShadow()`
  Gets the shadow.
  `ExtendedBoolean`
  `getSingleStrikethrough()`
  Gets the single strikethrough.
  `ExtendedBoolean`
  `getSmallCaps()`
  Gets the small caps.
  `ExtendedBoolean`
  `getSnapToGrid()`
  Gets the snap to grid.
  `int`
  `getSpacing()`
  Gets the spacing.
  `String`
  `getStyleName()`
  Gets the style name.
  `TextEffect`
  `getTextEffect()`
  Gets the text effect.
  `int`
  `getTextScale()`
  Gets the text scale.
  `Underline`
  `getUnderline()`
  Gets the underline.
  `ExtendedBoolean`
  `getUseComplexScriptFormating()`
  Gets the use complex script formating.
  `VerticalAlignment`
  `getVerticalAlignment()`
  Gets the vertical alignment.
  `ExtendedBoolean`
  `getWebHiddenText()`
  Gets the web hidden text.
  `void`
  `setBold​(ExtendedBoolean bold)`
  Sets the bold.
  `void`
  `setBorder​(Border border)`
  Sets the border.
  `void`
  `setCapitalLetters​(ExtendedBoolean capitalLetters)`
  Sets the capital letters.
  `void`
  `setColor​(RunContentColor color)`
  Sets the color.
  `void`
  `setComplexScriptBold​(ExtendedBoolean complexScriptBold)`
  Sets the complex script bold.
  `void`
  `setComplexScriptFontSize​(int complexScriptFontSize)`
  Sets the complex script font size.
  `void`
  `setComplexScriptItalic​(ExtendedBoolean complexScriptItalic)`
  Sets the complex script italic.
  `void`
  `setDeletionRevisionID​(String deletionRevisionID)`
  Sets the deletion revision id.
  `void`
  `setDoubleStrikethrough​(ExtendedBoolean doubleStrikethrough)`
  Sets the double strikethrough.
  `void`
  `setEastAsianLayout​(EastAsianLayout eastAsianLayout)`
  Sets the east asian layout.
  `void`
  `setEmboss​(ExtendedBoolean emboss)`
  Sets the emboss.
  `void`
  `setEmphasisMark​(EmphasisMarkType emphasisMark)`
  Sets the emphasis mark.
  `void`
  `setFontKern​(int fontKern)`
  Sets the font kern.
  `void`
  `setFonts​(RunFonts fonts)`
  Sets the fonts.
  `void`
  `setFontSize​(int fontSize)`
  Sets the font size.
  `void`
  `setHiddenParagraphMark​(ExtendedBoolean hiddenParagraphMark)`
  Sets the hidden paragraph mark.
  `void`
  `setHiddenText​(ExtendedBoolean hiddenText)`
  Sets the hidden text.
  `void`
  `setHighlightColor​(HighlightColor highlightColor)`
  Sets the highlight color.
  `void`
  `setImprint​(ExtendedBoolean imprint)`
  Sets the imprint.
  `void`
  `setItalic​(ExtendedBoolean italic)`
  Sets the italic.
  `void`
  `setLanguage​(Language language)`
  Sets the language.
  `void`
  `setManualWidth​(ManualRunWidth manualWidth)`
  Sets the manual width.
  `void`
  `setMath​(ExtendedBoolean math)`
  Sets the math.
  `void`
  `setNoProof​(ExtendedBoolean noProof)`
  Sets the no proof.
  `void`
  `setOutline​(ExtendedBoolean outline)`
  Sets the outline.
  `void`
  `setPosition​(int position)`
  Sets the position.
  `void`
  `setPropertiesRevisionID​(String propertiesRevisionID)`
  Sets the properties revision id.
  `void`
  `setRevision​(RunPropertiesRevision revision)`
  Sets the revision.
  `void`
  `setRevisionID​(String revisionID)`
  Sets the revision id.
  `void`
  `setRightToLeft​(ExtendedBoolean rightToLeft)`
  Sets the right to left.
  `void`
  `setShading​(Shading shading)`
  Sets the shading.
  `void`
  `setShadow​(ExtendedBoolean shadow)`
  Sets the shadow.
  `void`
  `setSingleStrikethrough​(ExtendedBoolean singleStrikethrough)`
  Sets the single strikethrough.
  `void`
  `setSmallCaps​(ExtendedBoolean smallCaps)`
  Sets the small caps.
  `void`
  `setSnapToGrid​(ExtendedBoolean snapToGrid)`
  Sets the snap to grid.
  `void`
  `setSpacing​(int spacing)`
  Sets the spacing.
  `void`
  `setStyleName​(String styleName)`
  Sets the style name.
  `void`
  `setTextEffect​(TextEffect textEffect)`
  Sets the text effect.
  `void`
  `setTextScale​(int textScale)`
  Sets the text scale.
  `void`
  `setUnderline​(Underline underline)`
  Sets the underline.
  `void`
  `setUseComplexScriptFormating​(ExtendedBoolean useComplexScriptFormating)`
  Sets the use complex script formating.
  `void`
  `setVerticalAlignment​(VerticalAlignment verticalAlignment)`
  Sets the vertical alignment.
  `void`
  `setWebHiddenText​(ExtendedBoolean webHiddenText)`
  Sets the web hidden text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MathRun

    public MathRun()
    Instantiates a new math run.

  - ### MathRun

    public MathRun​(String text)
    Instantiates a new math run.
    Parameters:
      `text` - the text

  - ### MathRun

    public MathRun​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new math run.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### addMathText

    public void addMathText​(MathText text)
    Adds the math text.
    Parameters:
      `text` - the text

  - ### addMathText

    public void addMathText​(String text)
    Adds the math text.
    Parameters:
      `text` - the text

  - ### addMathText

    public void addMathText​(String text, boolean preserveSpace)
    Adds the math text.
    Parameters:
      `text` - the text
      `preserveSpace` - the preserve space

  - ### addText

    public void addText​(String text)
    Adds the text.
    Parameters:
      `text` - the text

  - ### addText

    public void addText​(String text, boolean preserveSpace)
    Adds the text.
    Parameters:
      `text` - the text
      `preserveSpace` - the preserve space

  - ### addDeletedText

    public void addDeletedText​(String text)
    Adds the deleted text.
    Parameters:
      `text` - the text

  - ### add

    public void add​(DeletedText deletedText)
    Adds the.
    Parameters:
      `deletedText` - the deleted text

  - ### addBreak

    public void addBreak()
    Adds the break.

  - ### addBreak

    public void addBreak​(BreakType type)
    Adds the break.
    Parameters:
      `type` - the type

  - ### addBreak

    public void addBreak​(BreakClear clear)
    Adds the break.
    Parameters:
      `clear` - the clear

  - ### addBreak

    public void addBreak​(BreakType type, BreakClear clear)
    Adds the break.
    Parameters:
      `type` - the type
      `clear` - the clear

  - ### add

    public void add​(CommentReference commentReference)
    Adds the.
    Parameters:
      `commentReference` - the comment reference

  - ### add

    public void add​(FootnoteReference footnoteReference)
    Adds the.
    Parameters:
      `footnoteReference` - the footnote reference

  - ### add

    public void add​(EndnoteReference endnoteReference)
    Adds the.
    Parameters:
      `endnoteReference` - the endnote reference

  - ### addCarriageReturn

    public void addCarriageReturn()
    Adds the carriage return.

  - ### addPageNumberBlock

    public void addPageNumberBlock()
    Adds the page number block.

  - ### addNonBreakingHyphen

    public void addNonBreakingHyphen()
    Adds the non breaking hyphen.

  - ### addLastRenderedPageBreak

    public void addLastRenderedPageBreak()
    Adds the last rendered page break.

  - ### addSoftHyphen

    public void addSoftHyphen()
    Adds the soft hyphen.

  - ### addContinuationSeparator

    public void addContinuationSeparator()
    Adds the continuation separator.

  - ### addFootnoteEndnoteSeparator

    public void addFootnoteEndnoteSeparator()
    Adds the footnote endnote separator.

  - ### addAnnotationReference

    public void addAnnotationReference()
    Adds the annotation reference.

  - ### addFootnoteReferenceMark

    public void addFootnoteReferenceMark()
    Adds the footnote reference mark.

  - ### addEndnoteReferenceMark

    public void addEndnoteReferenceMark()
    Adds the endnote reference mark.

  - ### addAbsolutePositionTab

    public void addAbsolutePositionTab()
    Adds the absolute position tab.

  - ### addAbsolutePositionTab

    public void addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment)
    Adds the absolute position tab.
    Parameters:
      `alignment` - the alignment

  - ### addAbsolutePositionTab

    public void addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo)
    Adds the absolute position tab.
    Parameters:
      `alignment` - the alignment
      `relativeTo` - the relative to

  - ### addAbsolutePositionTab

    public void addAbsolutePositionTab​(AbsolutePositionTabAlignment alignment, AbsolutePositionTabPositioningBase relativeTo, AbsolutePositionTabLeader leader)
    Adds the absolute position tab.
    Parameters:
      `alignment` - the alignment
      `relativeTo` - the relative to
      `leader` - the leader

  - ### addSymbol

    public void addSymbol​(String character, String font)
    Adds the symbol.
    Parameters:
      `character` - the character
      `font` - the font

  - ### addTab

    public void addTab()
    Adds the tab.

  - ### addTab

    public void addTab​(int position)
    Adds the tab.
    Parameters:
      `position` - the position

  - ### addTab

    public void addTab​(int position, TabType type)
    Adds the tab.
    Parameters:
      `position` - the position
      `type` - the type

  - ### addTab

    public void addTab​(int position, TabType type, TabLeaderCharacter leader)
    Adds the tab.
    Parameters:
      `position` - the position
      `type` - the type
      `leader` - the leader

  - ### add

    public void add​(IRunContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public MathRun clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IRunContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getDeletionRevisionID

    public String getDeletionRevisionID()
    Gets the deletion revision id.
    Returns:
      the deletion revision id

  - ### setDeletionRevisionID

    public void setDeletionRevisionID​(String deletionRevisionID)
    Sets the deletion revision id.
    Parameters:
      `deletionRevisionID` - the new deletion revision id

  - ### getRevisionID

    public String getRevisionID()
    Gets the revision id.
    Returns:
      the revision id

  - ### setRevisionID

    public void setRevisionID​(String revisionID)
    Sets the revision id.
    Parameters:
      `revisionID` - the new revision id

  - ### getPropertiesRevisionID

    public String getPropertiesRevisionID()
    Gets the properties revision id.
    Returns:
      the properties revision id

  - ### setPropertiesRevisionID

    public void setPropertiesRevisionID​(String propertiesRevisionID)
    Sets the properties revision id.
    Parameters:
      `propertiesRevisionID` - the new properties revision id

  - ### getBold

    public ExtendedBoolean getBold()
    Gets the bold.
    Returns:
      the bold

  - ### setBold

    public void setBold​(ExtendedBoolean bold)
    Sets the bold.
    Parameters:
      `bold` - the new bold

  - ### getComplexScriptBold

    public ExtendedBoolean getComplexScriptBold()
    Gets the complex script bold.
    Returns:
      the complex script bold

  - ### setComplexScriptBold

    public void setComplexScriptBold​(ExtendedBoolean complexScriptBold)
    Sets the complex script bold.
    Parameters:
      `complexScriptBold` - the new complex script bold

  - ### getItalic

    public ExtendedBoolean getItalic()
    Gets the italic.
    Returns:
      the italic

  - ### setItalic

    public void setItalic​(ExtendedBoolean italic)
    Sets the italic.
    Parameters:
      `italic` - the new italic

  - ### getSnapToGrid

    public ExtendedBoolean getSnapToGrid()
    Gets the snap to grid.
    Returns:
      the snap to grid

  - ### setSnapToGrid

    public void setSnapToGrid​(ExtendedBoolean snapToGrid)
    Sets the snap to grid.
    Parameters:
      `snapToGrid` - the new snap to grid

  - ### getSmallCaps

    public ExtendedBoolean getSmallCaps()
    Gets the small caps.
    Returns:
      the small caps

  - ### setSmallCaps

    public void setSmallCaps​(ExtendedBoolean smallCaps)
    Sets the small caps.
    Parameters:
      `smallCaps` - the new small caps

  - ### getShadow

    public ExtendedBoolean getShadow()
    Gets the shadow.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(ExtendedBoolean shadow)
    Sets the shadow.
    Parameters:
      `shadow` - the new shadow

  - ### getRightToLeft

    public ExtendedBoolean getRightToLeft()
    Gets the right to left.
    Returns:
      the right to left

  - ### setRightToLeft

    public void setRightToLeft​(ExtendedBoolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left

  - ### getImprint

    public ExtendedBoolean getImprint()
    Gets the imprint.
    Returns:
      the imprint

  - ### setImprint

    public void setImprint​(ExtendedBoolean imprint)
    Sets the imprint.
    Parameters:
      `imprint` - the new imprint

  - ### getOutline

    public ExtendedBoolean getOutline()
    Gets the outline.
    Returns:
      the outline

  - ### setOutline

    public void setOutline​(ExtendedBoolean outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getMath

    public ExtendedBoolean getMath()
    Gets the math.
    Returns:
      the math

  - ### setMath

    public void setMath​(ExtendedBoolean math)
    Sets the math.
    Parameters:
      `math` - the new math

  - ### getNoProof

    public ExtendedBoolean getNoProof()
    Gets the no proof.
    Returns:
      the no proof

  - ### setNoProof

    public void setNoProof​(ExtendedBoolean noProof)
    Sets the no proof.
    Parameters:
      `noProof` - the new no proof

  - ### getComplexScriptItalic

    public ExtendedBoolean getComplexScriptItalic()
    Gets the complex script italic.
    Returns:
      the complex script italic

  - ### setComplexScriptItalic

    public void setComplexScriptItalic​(ExtendedBoolean complexScriptItalic)
    Sets the complex script italic.
    Parameters:
      `complexScriptItalic` - the new complex script italic

  - ### getBorder

    public Border getBorder()
    Gets the border.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(Border border)
    Sets the border.
    Parameters:
      `border` - the new border

  - ### getCapitalLetters

    public ExtendedBoolean getCapitalLetters()
    Gets the capital letters.
    Returns:
      the capital letters

  - ### setCapitalLetters

    public void setCapitalLetters​(ExtendedBoolean capitalLetters)
    Sets the capital letters.
    Parameters:
      `capitalLetters` - the new capital letters

  - ### getColor

    public RunContentColor getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(RunContentColor color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getUseComplexScriptFormating

    public ExtendedBoolean getUseComplexScriptFormating()
    Gets the use complex script formating.
    Returns:
      the use complex script formating

  - ### setUseComplexScriptFormating

    public void setUseComplexScriptFormating​(ExtendedBoolean useComplexScriptFormating)
    Sets the use complex script formating.
    Parameters:
      `useComplexScriptFormating` - the new use complex script formating

  - ### getHiddenText

    public ExtendedBoolean getHiddenText()
    Gets the hidden text.
    Returns:
      the hidden text

  - ### setHiddenText

    public void setHiddenText​(ExtendedBoolean hiddenText)
    Sets the hidden text.
    Parameters:
      `hiddenText` - the new hidden text

  - ### getWebHiddenText

    public ExtendedBoolean getWebHiddenText()
    Gets the web hidden text.
    Returns:
      the web hidden text

  - ### setWebHiddenText

    public void setWebHiddenText​(ExtendedBoolean webHiddenText)
    Sets the web hidden text.
    Parameters:
      `webHiddenText` - the new web hidden text

  - ### getHiddenParagraphMark

    public ExtendedBoolean getHiddenParagraphMark()
    Gets the hidden paragraph mark.
    Returns:
      the hidden paragraph mark

  - ### setHiddenParagraphMark

    public void setHiddenParagraphMark​(ExtendedBoolean hiddenParagraphMark)
    Sets the hidden paragraph mark.
    Parameters:
      `hiddenParagraphMark` - the new hidden paragraph mark

  - ### getDoubleStrikethrough

    public ExtendedBoolean getDoubleStrikethrough()
    Gets the double strikethrough.
    Returns:
      the double strikethrough

  - ### setDoubleStrikethrough

    public void setDoubleStrikethrough​(ExtendedBoolean doubleStrikethrough)
    Sets the double strikethrough.
    Parameters:
      `doubleStrikethrough` - the new double strikethrough

  - ### getSingleStrikethrough

    public ExtendedBoolean getSingleStrikethrough()
    Gets the single strikethrough.
    Returns:
      the single strikethrough

  - ### setSingleStrikethrough

    public void setSingleStrikethrough​(ExtendedBoolean singleStrikethrough)
    Sets the single strikethrough.
    Parameters:
      `singleStrikethrough` - the new single strikethrough

  - ### getEmboss

    public ExtendedBoolean getEmboss()
    Gets the emboss.
    Returns:
      the emboss

  - ### setEmboss

    public void setEmboss​(ExtendedBoolean emboss)
    Sets the emboss.
    Parameters:
      `emboss` - the new emboss

  - ### getFontSize

    public int getFontSize()
    Gets the font size.
    Returns:
      the font size

  - ### setFontSize

    public void setFontSize​(int fontSize)
    Sets the font size.
    Parameters:
      `fontSize` - the new font size

  - ### getTextScale

    public int getTextScale()
    Gets the text scale.
    Returns:
      the text scale

  - ### setTextScale

    public void setTextScale​(int textScale)
    Sets the text scale.
    Parameters:
      `textScale` - the new text scale

  - ### getStyleName

    public String getStyleName()
    Gets the style name.
    Returns:
      the style name

  - ### setStyleName

    public void setStyleName​(String styleName)
    Sets the style name.
    Parameters:
      `styleName` - the new style name

  - ### getPosition

    public int getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(int position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getComplexScriptFontSize

    public int getComplexScriptFontSize()
    Gets the complex script font size.
    Returns:
      the complex script font size

  - ### setComplexScriptFontSize

    public void setComplexScriptFontSize​(int complexScriptFontSize)
    Sets the complex script font size.
    Parameters:
      `complexScriptFontSize` - the new complex script font size

  - ### getUnderline

    public Underline getUnderline()
    Gets the underline.
    Returns:
      the underline

  - ### setUnderline

    public void setUnderline​(Underline underline)
    Sets the underline.
    Parameters:
      `underline` - the new underline

  - ### getVerticalAlignment

    public VerticalAlignment getVerticalAlignment()
    Gets the vertical alignment.
    Returns:
      the vertical alignment

  - ### setVerticalAlignment

    public void setVerticalAlignment​(VerticalAlignment verticalAlignment)
    Sets the vertical alignment.
    Parameters:
      `verticalAlignment` - the new vertical alignment

  - ### getEastAsianLayout

    public EastAsianLayout getEastAsianLayout()
    Gets the east asian layout.
    Returns:
      the east asian layout

  - ### setEastAsianLayout

    public void setEastAsianLayout​(EastAsianLayout eastAsianLayout)
    Sets the east asian layout.
    Parameters:
      `eastAsianLayout` - the new east asian layout

  - ### getTextEffect

    public TextEffect getTextEffect()
    Gets the text effect.
    Returns:
      the text effect

  - ### setTextEffect

    public void setTextEffect​(TextEffect textEffect)
    Sets the text effect.
    Parameters:
      `textEffect` - the new text effect

  - ### getEmphasisMark

    public EmphasisMarkType getEmphasisMark()
    Gets the emphasis mark.
    Returns:
      the emphasis mark

  - ### setEmphasisMark

    public void setEmphasisMark​(EmphasisMarkType emphasisMark)
    Sets the emphasis mark.
    Parameters:
      `emphasisMark` - the new emphasis mark

  - ### getManualWidth

    public ManualRunWidth getManualWidth()
    Gets the manual width.
    Returns:
      the manual width

  - ### setManualWidth

    public void setManualWidth​(ManualRunWidth manualWidth)
    Sets the manual width.
    Parameters:
      `manualWidth` - the new manual width

  - ### getHighlightColor

    public HighlightColor getHighlightColor()
    Gets the highlight color.
    Returns:
      the highlight color

  - ### setHighlightColor

    public void setHighlightColor​(HighlightColor highlightColor)
    Sets the highlight color.
    Parameters:
      `highlightColor` - the new highlight color

  - ### getFontKern

    public int getFontKern()
    Gets the font kern.
    Returns:
      the font kern

  - ### setFontKern

    public void setFontKern​(int fontKern)
    Sets the font kern.
    Parameters:
      `fontKern` - the new font kern

  - ### getLanguage

    public Language getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(Language language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getFonts

    public RunFonts getFonts()
    Gets the fonts.
    Returns:
      the fonts

  - ### setFonts

    public void setFonts​(RunFonts fonts)
    Sets the fonts.
    Parameters:
      `fonts` - the new fonts

  - ### getSpacing

    public int getSpacing()
    Gets the spacing.
    Returns:
      the spacing

  - ### setSpacing

    public void setSpacing​(int spacing)
    Sets the spacing.
    Parameters:
      `spacing` - the new spacing

  - ### getShading

    public Shading getShading()
    Gets the shading.
    Returns:
      the shading

  - ### setShading

    public void setShading​(Shading shading)
    Sets the shading.
    Parameters:
      `shading` - the new shading

  - ### getRevision

    public RunPropertiesRevision getRevision()
    Gets the revision.
    Returns:
      the revision

  - ### setRevision

    public void setRevision​(RunPropertiesRevision revision)
    Sets the revision.
    Parameters:
      `revision` - the new revision